.wysibb {
  width: 100%;
  margin: 10px auto;
  border: 0.5px solid rgba(54, 69, 80, 0.7);
  position: relative;
  background: var(--background);
  box-shadow: inset 0px 0px 10px 2px rgba(0, 0, 0, 0.5);
  font-size: 16px;
  }

.wysibb .wysibb-toolbar .wysibb-toolbar-container .wysibb-toolbar-btn .fonticon {
  color: #666 !important;
  font-family: 'WysiBBiconFont';
  font-size: 18px;
  line-height: 28px;
  text-shadow: 0px 1px 0px #111;
  text-align: center;
  speak: none;
}

.wysibb-text-editor {
  outline: none;
  max-height: 150px !important;
  min-height: 150px !important;
}

.wysibb-toolbar {
  max-height: 150px !important;
}

.wysibb-body {
  overflow-x: auto !important;
}

/* modale */
#wbbmodal .wbbm {
  background: var(--background);
  text-align: left;
  max-width: 90%;
  max-height: 90%;
  margin: 30px auto;
  border: 1px solid var(--border);
  box-shadow: 0px 0px 5px #000;
  overflow: auto;
}

#wbbmodal .wbbm-title .wbbclose {
  display: block;
  text-transform: uppercase;
  position: relative !important;
  right: 0;
  top: 0;
  font-size: 21px;
  font-weight: 400 !important;
  cursor: pointer;
  color: var(--text);
}

#wbbmodal  .wbbm-title .wbbclose:hover{
  color: var(--accenthover);
}

#wbbmodal .wbbm-title {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
  color: var(--accent) !important;
  position: relative;
  padding: 0 10px;
  border-bottom: 1px solid var(--border);
}

#wbbmodal .wbbm-bottom {
  display: flex;
  border-top: 1px solid var(--border);
  padding: 10px;
  background: var(--background);
}

#wbbmodal .wbbm-inp-row label {
  display: block;
  font-weight: bold;
  margin-bottom: 3px;
  color: #666;
}

#wbbmodal .div-modal-text {
  border: 0.5px solid rgba(54, 69, 80, 0.7);
  padding: 2px 5px;
  line-height: 28px;
  max-height: 100px;
  overflow: auto;
  font-size: 14px;
  box-shadow: inset 0 0px 10px #000;
}

#wbbmodal .wbbm-inp-row input {
  display: block;
  height: 34px;
  padding: 2px 5px;
  line-height: 1.42857143;
  font-size: 14px;
  width: 100%;
  border: 0.5px solid rgba(54, 69, 80, 0.7);
  outline: none;
  box-sizing: border-box;
  border-radius: 0;
    margin-left: -1px;
}

#wbbmodal .wbbm-inp-row focus {
  box-shadow: none;
}

#wbbmodal .div-modal-text:focus {
  outline: 0;
}

/* bottoni modale */

#wbbmodal .wbb-button {
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 0.3rem;
  width: 100px;
  border: none;
  font-size: 13px;
  color: var(--textlight);
  text-decoration: none;
  transition: all 0.25s ease-in-out;
  box-shadow: inset 0 0 0 1px black, 0 0 0 0.5px #3a3d40, 0 0 0 4px rgba(0, 0, 0, 0), 0 11px 27px -5px rgba(0, 0, 0, 0.53), 0 25px 25px -4px rgba(0, 0, 0, 0.35);
  background-image: radial-gradient(227.71% 180.23% at 90.64% 130.38%, var(--background) 0%, #2d3034 100%), radial-gradient(207.84% 121.69% at -5.69% 111.39%, var(--background) 0%, #2d3034 100%), linear-gradient(206deg, rgba(123, 134, 151, 0.2) 0%, rgba(25, 27, 30, 0) 100%), linear-gradient(180deg, rgba(0, 0, 0, 0.2) 0%, rgba(0, 0, 0, 0.2) 100%);
}

#wbbmodal .wbb-button:hover {
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 0.3rem;
  width: 100px;
  border: none;
  font-size: 13px;
  text-decoration: none;
  transition: all 0.25s ease-in-out;
  box-shadow: inset 0 0 0 1px black, 0 0 0 0.5px #3a3d40, 0 0 0 4px rgba(0, 0, 0, 0), 0 11px 27px -5px rgba(0, 0, 0, 0.53), 0 25px 25px -4px rgba(0, 0, 0, 0.35);
  background-image: radial-gradient(227.71% 180.23% at 90.64% 130.38%, var(--background) 0%, #2d3034 100%), radial-gradient(207.84% 121.69% at -5.69% 111.39%, var(--background) 0%, #2d3034 100%), linear-gradient(206deg, rgba(123, 134, 151, 0.2) 0%, rgba(25, 27, 30, 0) 100%), linear-gradient(180deg, rgba(0, 0, 0, 0.2) 0%, rgba(0, 0, 0, 0.2) 100%);
  color: var(--accenthover);
}

#wbbmodal .wbb-cancel-button {
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 0.3rem;
  width: 100px;
  border: none;
  font-size: 13px;
  color: var(--textlight);
  text-decoration: none;
  transition: all 0.25s ease-in-out;
  box-shadow: inset 0 0 0 1px black, 0 0 0 0.5px #3a3d40, 0 0 0 4px rgba(0, 0, 0, 0), 0 11px 27px -5px rgba(0, 0, 0, 0.53), 0 25px 25px -4px rgba(0, 0, 0, 0.35);
  background-image: radial-gradient(227.71% 180.23% at 90.64% 130.38%, var(--background) 0%, #2d3034 100%), radial-gradient(207.84% 121.69% at -5.69% 111.39%, var(--background) 0%, #2d3034 100%), linear-gradient(206deg, rgba(123, 134, 151, 0.2) 0%, rgba(25, 27, 30, 0) 100%), linear-gradient(180deg, rgba(0, 0, 0, 0.2) 0%, rgba(0, 0, 0, 0.2) 100%);
}

#wbbmodal .wbb-cancel-button:hover {
display: flex;
  align-items: center;
  justify-content: center;
  padding: 0.3rem;
  width: 100px;
  border: none;
  font-size: 13px;
  text-decoration: none;
  transition: all 0.25s ease-in-out;
  box-shadow: inset 0 0 0 1px black, 0 0 0 0.5px #3a3d40, 0 0 0 4px rgba(0, 0, 0, 0), 0 11px 27px -5px rgba(0, 0, 0, 0.53), 0 25px 25px -4px rgba(0, 0, 0, 0.35);
  background-image: radial-gradient(227.71% 180.23% at 90.64% 130.38%, var(--background) 0%, #2d3034 100%), radial-gradient(207.84% 121.69% at -5.69% 111.39%, var(--background) 0%, #2d3034 100%), linear-gradient(206deg, rgba(123, 134, 151, 0.2) 0%, rgba(25, 27, 30, 0) 100%), linear-gradient(180deg, rgba(0, 0, 0, 0.2) 0%, rgba(0, 0, 0, 0.2) 100%);
  color: var(--accenthover);
}

.wysibb .wysibb-toolbar .wysibb-toolbar-container .wysibb-toolbar-btn span.btn-tooltip {
  display: none;
  background: rgba(7, 11, 17, 1);
  border: 0.5px solid rgba(54, 69, 80, 0.7);
  position: absolute;
  line-height: 20px;
  font-size: 11px;
  padding: 3px 10px;
  bottom: 35px;
  left: 0;
  color: #888;
  border-radius: 0px;
  white-space: nowrap;
  z-index: 10000;
}

.wysibb .wysibb-toolbar .wysibb-toolbar-container .wysibb-toolbar-btn.wbb-select.on, .wysibb .wysibb-toolbar .wysibb-toolbar-container .wysibb-toolbar-btn.wbb-select.on:active {
  padding: 1px 1px 1px 5px;
  border: 0.5px solid rgba(54, 69, 80, 0.7);
  color: rgba(196, 24, 43, 0.8);
  background: transparent;
  box-shadow: inset 0px 0px 3px #000;
}

.wysibb .wysibb-toolbar .wysibb-toolbar-container .wysibb-toolbar-btn.wbb-select:hover {
  background: transparent;
  color: rgba(196, 24, 43, 0.8);
}

.wysibb .wysibb-toolbar .wysibb-toolbar-container .wysibb-toolbar-btn.wbb-dropdown.on, .wysibb .wysibb-toolbar .wysibb-toolbar-container .wysibb-toolbar-btn.wbb-dropdown.on:active {
  border: 0.5px solid rgba(196, 24, 43, 0.8);
  color: rgba(196, 24, 43, 0.8);
  background: transparent;
  box-shadow: inset 0px 0px 3px #000;
}

.wysibb .wysibb-toolbar .wysibb-toolbar-container .wysibb-toolbar-btn.wbb-dropdown:hover{
  background:#111;
  border:1px solid transparent;
}

.wysibb .wysibb-toolbar .wysibb-toolbar-container .wysibb-toolbar-btn.on, .wysibb .wysibb-toolbar .wysibb-toolbar-container .wysibb-toolbar-btn.on:hover, .wysibb .wysibb-toolbar .wysibb-toolbar-container .wysibb-toolbar-btn:active {
  background: transparent;
  padding: 0px 1px;
  box-shadow: inset 0px 0px 3px #000;
  border: 0.5px solid rgba(196, 24, 43, 0.8);
  color: rgba(196, 24, 43, 0.8) !important;
  border-radius: 0px;
}

.wysibb .wysibb-toolbar .wysibb-toolbar-container .wysibb-toolbar-btn:hover {
  padding:0px 1px;
  border:1px solid transparent;
  border-radius:0px;
  background:#111;
}
@media (min-width: 992px) {
  .wysibb .wysibb-toolbar {
    border-bottom: 0.5px solid rgba(54, 69, 80, 0.7);
    position: relative;
    padding: 0 60px 0 0;
    height: auto;
  }
  
  .wysibb .wysibb-toolbar .wysibb-toolbar-container {
    margin: 0;
    border-right: 0.5px solid rgba(54, 69, 80, 0.7);
    padding: 0;
    display: inline-block;
  }
  
  .wysibb .wysibb-text {
    padding: 5px;
    margin: 0;
    text-align: left;
  }
}
